package com.zz.framework.dao;

import java.util.List;

import org.apache.ibatis.annotations.Param;

import com.zz.framework.model.DateBetweenModel;
import com.zz.framework.model.PagingModel;
import com.zz.framework.model.SortModel;

/**
 * 
 * @author zhengzhen.wang
 *
 */
public interface IPagingDao extends IDao {

	/**
	 * 
	 * @param condition
	 * @param dateBetween
	 * @return
	 */
	long queryCount(@Param("condition") Object condition, @Param("date") DateBetweenModel dateBetween);
	
	/**
	 * 
	 * @param condition
	 * @param dateBetween
	 * @param paging
	 * @param sort
	 * @return
	 */
	List<?> query(@Param("condition") Object condition, @Param("date") DateBetweenModel dateBetween,
			@Param("paging") PagingModel paging, @Param("sort") SortModel sort);
	
}
